Mark the account as primary (default) for its holder and currency
curl --request POST \
--url https://{environment}.ebury.io/account-details/{account_details_id}/make-default \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/account-details/{account_details_id}/make-default"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/account-details/{account_details_id}/make-default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Getting Account Details
Mark the account as primary (default) for its holder and currency
POST
/
account-details
/
{account_details_id}
/
make-default
Mark the account as primary (default) for its holder and currency
Mark the account as primary (default) for its holder and currency.
Only dedicated accounts can be set as primary, trying this operation
for a pooled account will return an error.
Authorizations
An API Key.
Headers
The access token
Path Parameters
Unique ID of account details
Query Parameters
ID of the client that owns the account
Minimum string length:
1Response
Account details marked as primary